import java.awt.*;  //das Paket awt wird in dieser Klasse sichtbar gemacht
import java.awt.event.*; //und das Paket fr Ereignisbehandlung

public class WinDrei extends Frame {      	//Unsere Klasse erweitert die Klasse Frame
	public WinDrei() {			//Konstruktor
		super("mit Komponenten");	//Den Titel festlegen

		Label myHeader = new Label("Hier Text eingeben:");	//Labelkomponente
		TextField eingabeFeld = new TextField("hier", 20);	//Textfeld-Komponente
		Button klicker = new Button("Klick Mich");		//Button-Komponente

		Panel myContainer = new Panel();			//spezieller Container
		myContainer.setLayout(new BorderLayout(5,5));		//Layout einsetzen

		myContainer.add(myHeader, BorderLayout.NORTH);		//Die Komponenten dem
		myContainer.add(eingabeFeld, BorderLayout.CENTER);	//Container hinzufgen
		myContainer.add(klicker, BorderLayout.SOUTH);

		this.add(myContainer);					//Container dem Fenster
									//hinzufgen

		this.enableEvents(AWTEvent.WINDOW_EVENT_MASK);		//Ereignisse ermglichen
	}

	protected void processWindowEvent(WindowEvent e) {		//Fenster-ereignisse
        	if (e.getID()==WindowEvent.WINDOW_CLOSING) {		//behandeln
			dispose();                      // Ressourcen des Fensters freigeben
			System.exit(0);                 // Programm beenden
		}
	} // Ende Methode processWindowEvent()

	public static void main(String[] arg) {		//Das Hauptprogramm
		WinDrei myWin = new WinDrei();
		myWin.pack();
		myWin.show();
	}
}