import java.awt.*;  //das Paket awt wird in dieser Klasse sichtbar gemacht
import java.awt.event.*; // Ereignisbehandlung

public class WinV extends Frame {      	//Unsere Klasse erweitert die Klasse Frame
	TextField eingabeFeld;		//Wegen Zugriff, hier definiert
	public WinV() {			//Konstruktor
		super("mit Komponenten");	//Den Titel festlegen

		eingabeFeld = new TextField("hier", 20);	//Textfeld-Komponente
		Button klicker1 = new Button("Beenden und Speichern");	//Button-Komponente
		Button klicker2 = new Button("Beenden");		//Button-Komponente

		ActionListener myListener = new ActionListener() {	// in anonymer Klasse
			public void actionPerformed(ActionEvent e) {
				if (e.getActionCommand().equals("Beenden")) {	//Welche Komponente
					dispose();
					System.exit(0);
				}
				else if (e.getActionCommand().equals("Beenden und Speichern")) {
					System.out.println(eingabeFeld.getText());
					dispose();
					System.exit(0);
				}
			}
		};

		klicker1.addActionListener(myListener);
		klicker2.addActionListener(myListener);

		Panel myContainer = new Panel();			//spezieller Container
		myContainer.setLayout(new BorderLayout(5,5));		//Layout einsetzen

		myContainer.add(eingabeFeld, BorderLayout.NORTH);		//Die Komponenten dem
		myContainer.add(klicker1, BorderLayout.CENTER);			//Container hinzufgen
		myContainer.add(klicker2, BorderLayout.SOUTH);

		this.add(myContainer);					//Container dem Fenster
									//hinzufgen
	}
	public static void main(String[] arg) {		//Das Hauptprogramm
		WinV myWin = new WinV();
		myWin.pack();
		myWin.show();
	}
}